# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit git-r3 systemd

DESCRIPTION="A simple and easily configurable fan controller."
HOMEPAGE="https://git.decade.cz/decade/${PN}"
EGIT_REPO_URI="https://git.decade.cz/decade/${PN}.git"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="*"

RDEPEND="
	dev-python/dec8
"

src_install() {
	exeinto /usr/share/${PN}
	doexe ${PN}.py
	
	insinto /etc/${PN}
	doins config.json.example
	
	systemd_dounit fand.service
}
